Package org.eclipse.draw2d.graph

# Class VirtualNode

java.lang.Object
org.eclipse.draw2d.graph.Node
org.eclipse.draw2d.graph.VirtualNode

@Deprecated public class VirtualNode extends Node
Deprecated.
virtual nodes of an edge should be cast to Node.

Since:
  2.1.2

## Field Summary

Fields
Modifier and Type
Field
Description
`Node`
`next`
Deprecated.
The next node.
`Node`
`prev`
Deprecated.
The previous node.

### Fields inherited from class org.eclipse.draw2d.graph.Node

`data, height, incoming, incomingOffset, outgoing, outgoingOffset, rowOrder, sortValue, width, x, y`

## Constructor Summary

Constructors
Constructor
Description
`VirtualNode(Object o, Subgraph parent)`
Deprecated.
Constructor.
`VirtualNode(Edge e, int i)`
Deprecated.
This class is for internal use only.

## Method Summary

Modifier and Type
Method
Description
`double`
`medianIncoming()`
Deprecated.
Returns the index of `prev`.
`double`
`medianOutgoing()`
Deprecated.
Returns the index of `next`.
`int`
`omega()`
Deprecated.
For internal use only.
`String`
`toString()`
Deprecated.

### Methods inherited from class org.eclipse.draw2d.graph.Node

`getLeft, getOffsetIncoming, getOffsetOutgoing, getPadding, getParent, getRight, getRowConstraint, setPadding, setParent, setRowConstraint, setSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### next

public Node next
Deprecated.
The next node.

### prev

public Node prev
Deprecated.
The previous node.

## Constructor Details

### VirtualNode

@Deprecated public VirtualNode(Edge e, int i)
Deprecated.
This class is for internal use only.
Constructs a virtual node.

Parameters:
  `e` - the edge
  `i` - the row

### VirtualNode

public VirtualNode(Object o, Subgraph parent)
Deprecated.
Constructor.

Parameters:
  `o` - object
  `parent` - subgraph

## Method Details

### medianIncoming

public double medianIncoming()
Deprecated.
Returns the index of `prev`.

Returns:
  median

### medianOutgoing

public double medianOutgoing()
Deprecated.
Returns the index of `next`.

Returns:
  outgoing

### omega

public int omega()
Deprecated.
For internal use only. Returns the original edge weight multiplied by the omega value for the this node and the node on the previous rank.

Returns:
  the weighted weight, or omega

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Node`
See Also:
  - `Object.toString()`